/*
 * CLI_Parameters.h
 *
 *  Created on: 04.12.2017
 *      Author: balbekova
 */

#ifndef CLI_PARAMETERS_H_
#define CLI_PARAMETERS_H_


//Настройки SNMP
void snmp_config_param(int8_t *buf);

#ifdef DINS_ENABLE || DOUTS_ENABLE
//Настройки сухих контактов
void inouts_config_param(int8_t *buf);
#endif

//Сетевые настройки
void net_config_param(int8_t *buf);

//Настройки времени
void time_config_param(int8_t *buf);

//Настройки АКБ
void akb_config_param(int8_t *buf);

//Настройки Аварий
void alarm_config_param(int8_t *buf);

//Настройки Аварий
void alarm_config_param(int8_t *buf);

#ifdef NOTIFICATION_CONTROL_ENABLE
//Список уведомлений и их состояние
void notification_param(int8_t *buf);
#endif
#ifdef WHITELIST_ENABLE
//Белый список IP адресов контроллера
void whitelist_config_param(int8_t *buf);
#endif

//Параметры ИБП
void ups_sensor_param(int8_t *buf);

//Параметры аккумуляторных батарей
void ups_sensor_akb_param(int8_t *buf);

#ifdef DINS_ENABLE || DOUTS_ENABLE
//Параметры сухих контактов
void inouts_sensor_param(int8_t *buf);
#endif
#endif /* CLI_PARAMETERS_H_ */
